Bug 99131 - ide-scsi with AMANDA causes complete system crash
Summary: ide-scsi with AMANDA causes complete system crash
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i586 Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-14 20:34 UTC by Paul Felts
Modified: 2005-10-31 22:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Felts 2003-07-14 20:34:26 UTC
Description of problem:
using ide-scsi driver for tape backup with AMANDA package causes intermittent 
kernel panic, complete system hang. constant errors in /var/log/messages are:

kernel: st0: Error with sense data: Current st09:00: sense key Illegal Request
kernel: Additional sense indicates Invalid command operation code
 

Version-Release number of selected component (if applicable):
AMANDA-2.4.4p1 stable from amanda.org
kernel 2.4.20-18-7 rpm from rhn
ide-scsi 0.93 stock rh 7.3
st.c 20030406 stock rh 7.3 (apparently with Kai Makisara's patch)


How reproducible:
intermittent. :(

Steps to Reproduce:
1. attempt tape backup using AMANDA amdump
2.
3.
    
Actual results:
system hang. kernel panic or no console message at all.

Expected results:
tape backup completes successfully

Additional info:
tape drive is new ST20000A Travan (ide). tapes are new.

Comment 1 Jay Fenlason 2003-07-14 20:41:50 UTC
This is a kernel problem.  I'm reassigning this to the kernel maintainers.



Comment 2 Bugzilla owner 2004-09-30 15:41:18 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.